<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <style>
            .canvas{
                display: block;
                margin-left: auto;
                margin-right: auto;
                border: 1px solid black;
            }
            h2{
                text-align: center;
                margin-top: 0;
            }
        </style>
    </head>
    <body>
        <canvas height="400" width="400" class="canvas" id="canvas1">
            Votre navigateur ne supporte pas la balise canvas
        </canvas>
        <h2>Image dans un canvas</h2>
        
        <canvas height="400" width="400" class="canvas" id="canvas2">
            Votre navigateur ne supporte pas la balise canvas
        </canvas>
        <h2>Motifs à partir d'une image</h2>
        
         <canvas height="400" width="400" class="canvas" id="canvas3">
            Votre navigateur ne supporte pas la balise canvas
        </canvas>
        <h2>Texte dans un canvas</h2>
       
        <script src="image.js"></script>
    </body>
</html>